[Mongrel] Fwd: Error on Solaris

Zed Shaw zedshaw at zedshaw.com
Fri Aug 11 13:59:01 EDT 2006


On Fri, 2006-08-11 at 12:32 -0500, Justin Chen wrote:
> When installing the 0.3.13.4 pre-release on Solaris I got the same
> error as on the Joyent blog: 
> http://joyeur.com/2006/07/21/a-mongrel-endorsement-and-a-manual-fix-for-installing-mongrel-on-solaris-1011
> 
> Fix #1 there got it working and so far mongrel has been working. 

Yeah, without their C compiler I doubt I could fix it in the source.
Looks like it's more than just stray ; characters causing this.

Just do what his instructions say so that you're using GCC (but I
believe you have to make sure your ruby is compiled with that as well).


-- 
Zed A. Shaw
http://www.zedshaw.com/
http://mongrel.rubyforge.org/
http://www.railsmachine.com/ -- Need Mongrel support?



More information about the Mongrel-users mailing list